# koboldgen

A character/one-shot generator for [Crash](https://elekk.xyz/@Crash)'s KOBOLDS IN SPACE! Requires Python 3.6+.

Invoke the script directly to generate a single kobold:

`python3 koboldgen.py`

There are flags you can type after the name of the script to get different effects.

The first three (`-k`, `-n`, and `-c`) can be used on their own, or you can add a number afterward to get the script to print that many kobolds:

`python3 koboldgen.py -k` - generate a kobold

`python3 koboldgen.py -n` - print out a kobold's name and occupation, without a stat block

`python3 koboldgen.py -c` - print out a full campaign with 6 kobolds by default

The next three should **not** have a number after them:

`python3 koboldgen.py -s` - print out a ship name and description

`python3 koboldgen.py -p` - print out the premise of a campaign, including a ship name and description, without generating any kobolds

`python3 koboldgen.py -h` - print a help message

There are long versions of each of these that begin with two dashes (`--kobolds`, `--names`, `--campaign`, `--ship`, `--params`, and `--help`) if you prefer.

Finally, you can change the output from plain text to HTML with the `--html` flag. This can be used alongside any of the previous flags.

*Begin license text.*

Copyright 2020 Noëlle Anthony

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*End license text.*